de.dhbwstuttgart.typeinference

## Class FunNMethod

- java.lang.Object
- - de.dhbwstuttgart.syntaxtree.SyntaxTreeNode
  - - de.dhbwstuttgart.syntaxtree.GTVDeclarationContext
    - - de.dhbwstuttgart.syntaxtree.Field
      - - de.dhbwstuttgart.syntaxtree.Method
        - - de.dhbwstuttgart.typeinference.FunNMethod

All Implemented Interfaces:
  IItemWithOffset, Generic, GenericTypeInsertable, Typeable, TypeInsertable

    public class FunNMethod
    extends Method

### Field Summary

### Fields inherited from class de.dhbwstuttgart.syntaxtree.Method

`inferencelog, parameterlist, parserlog`

### Fields inherited from class de.dhbwstuttgart.syntaxtree.Field

`declid`

### Fields inherited from class de.dhbwstuttgart.syntaxtree.SyntaxTreeNode

`parent`

### Constructor Summary

Constructors
Constructor and Description
`FunNMethod(Menge<? extends Type> paralist)`

### Method Summary

All Methods Instance Methods Concrete Methods
`TypeInsertPoint` `createTypeInsertPoint(TypePlaceholder tph, ResultSet resultSet)` Errechnet den TypeInsertPoint fÃ¼r das TypeInsertable.

### Methods inherited from class de.dhbwstuttgart.syntaxtree.Method

`createEmptyMethod, createTypeAssumptions, equals, get_Block, get_ExceptionList, get_Method_Name, get_Type_Paralist, getChildren, getLineNumber, getOffset, getOverloadedID, getParameterCount, getParameterList, getType, getTypeInformation, getTypeLineNumber, getTypeName, getVariableLength, isAbstract, parserPostProcessing, printJavaCode, set_Block, set_ExceptionList, set_Method_Name, set_Modifiers, setAbstract, setLineNumber, setOffset, setOverloadedID, setParameterList, setType, toString, TYPE, wandleRefTypeAttributes2GenericAttributes`

### Methods inherited from class de.dhbwstuttgart.syntaxtree.Field

`get_Name, getDeclIdMenge, getDescription, getGenericParameter, getGenericVarDeclarationOffset, getGenericVarDeclarationString, getIdentifier, isClass, isPublic, set_DeclId, setDeclIdMenge, setGenericParameter`

### Methods inherited from class de.dhbwstuttgart.syntaxtree.GTVDeclarationContext

`getGTVDeclarationContext`

### Methods inherited from class de.dhbwstuttgart.syntaxtree.SyntaxTreeNode

`addTypeInsertPoints, getMatchingParentNode, getParent, getParentClass, seesType`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface de.dhbwstuttgart.typeinference.TypeInsertable

`getIdentifier`

### Constructor Detail

#### FunNMethod

    public FunNMethod(Menge<? extends Type> paralist)

Parameters:
  `N` - - Anzahl der Parameter (Beispiel: Fun2<R, T1, T2>)

### Method Detail

#### createTypeInsertPoint

    public TypeInsertPoint createTypeInsertPoint(TypePlaceholder tph,
                                                 ResultSet resultSet)

Description copied from interface: `TypeInsertable`
Errechnet den TypeInsertPoint fÃ¼r das TypeInsertable. TypeInsertPoints sollten nur Ã¼ber diese Funktion erstellt werden.

Specified by:
  `createTypeInsertPoint` in interface `TypeInsertable`
Overrides:
  `createTypeInsertPoint` in class `Field`
Returns:
  - kann auch null zurÃ¼ckgeben.